Page MenuHomePhabricator

Travis builds not loading flickrripper due to missing ImageTk
Closed, ResolvedPublic

Description

As mentioned on bug 71454 comment 2 , current travis builds are not loading flickrripper as script_tests cant import dependency ImageTk

https://travis-ci.org/wikimedia/pywikibot-core/jobs/37419168

"flickrripper depends on ImageTk, which isnt available:
No module named ImageTk"


Version: core-(2.0)
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71454
https://bugzilla.wikimedia.org/show_bug.cgi?id=68606

Details

Reference
bz71864

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:58 AM
bzimport added a project: Pywikibot-tests.
bzimport set Reference to bz71864.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Oct 9 2014, 5:55 AM

gerritadmin wrote:

Change 170647 had a related patch set uploaded by John Vandenberg:
Script test checks: import ImageTk from PIL

https://gerrit.wikimedia.org/r/170647

jayvdb added a comment.Nov 3 2014, 1:20 AM

py2.6, py2.7 and py3 builds all have an error when installing Pillow on Travis
https://travis-ci.org/wikimedia/pywikibot-core/jobs/39756966
https://travis-ci.org/wikimedia/pywikibot-core/jobs/39760334
https://travis-ci.org/wikimedia/pywikibot-core/jobs/39756970

which was done here:
https://gerrit.wikimedia.org/r/#/c/159207/

The builds all report the following in the Pillow install routine:

  • TKINTER support available

Yet script_tests cant load the module ImageTk. It needs to be loaded as 'from PIL import ImageTk' , but 'import PIL.ImageTk' appears to work for a few versions of Pillow that I have tried.

gerritadmin wrote:

Change 170647 merged by jenkins-bot:
Script test checks: import ImageTk from PIL

https://gerrit.wikimedia.org/r/170647

jayvdb added a comment.Nov 5 2014, 3:02 AM

After a bit of playing with a brand new install of Python, I can reproduce this.

setup.py test is installing flickrapi into the local directory, and it can be imported within the setup.py environment, ..

/home/travis/build/wikimedia/pywikibot-core/flickrapi-2.0_beta0-py3.3.egg

But, when flickrripper is invoked via pwb.py, flickrapi can not be found.

gerritadmin wrote:

Change 171194 had a related patch set uploaded by John Vandenberg:
Export sys.path to pwb scripts

https://gerrit.wikimedia.org/r/171194

gerritadmin wrote:

Change 171194 merged by jenkins-bot:
Export sys.path to pwb scripts

https://gerrit.wikimedia.org/r/171194